package com.sun.org.apache.xml.internal.security.keys.content;

import org.w3c.dom.Document;
import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;
import org.w3c.dom.Element;
import com.sun.org.apache.xml.internal.security.utils.SignatureElementProxy;

public class MgmtData extends SignatureElementProxy implements KeyInfoContent
{
    public MgmtData(Element element, String baseURI) throws XMLSecurityException {
        super(element, baseURI);
    }
    
    public MgmtData(Document doc, String text) {
        super(doc);
        this.addText(text);
    }
    
    public String getMgmtData() {
        return this.getTextFromTextChild();
    }
    
    @Override
    public String getBaseLocalName() {
        return "MgmtData";
    }
}
